## postgresql-10-pgdg-pgroonga 2.2.8

=== debian/changelog ===
postgresql-10-pgdg-pgroonga (2.2.8-1) unstable; urgency=low

  * New upstream release.

 -- Sutou Kouhei <kou@clear-code.com>  Sat, 26 Dec 2020 22:54:08 -0000
