## postgresql-10-pgdg-pgroonga 2.2.9

=== debian/changelog ===
postgresql-10-pgdg-pgroonga (2.2.9-1) unstable; urgency=low

  * New upstream release.

 -- Sutou Kouhei <kou@clear-code.com>  Sat, 03 Apr 2021 23:05:29 -0000
