## postgresql-10-pgdg-pgroonga 2.3.0

=== debian/changelog ===
postgresql-10-pgdg-pgroonga (2.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Sutou Kouhei <kou@clear-code.com>  Fri, 14 May 2021 07:08:26 -0000
