## postgresql-10-pgdg-pgroonga 2.3.1

=== debian/changelog ===
postgresql-10-pgdg-pgroonga (2.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Thu, 05 Aug 2021 03:06:05 -0000
