## postgresql-10-pgdg-pgroonga 2.3.2

=== debian/changelog ===
postgresql-10-pgdg-pgroonga (2.3.2-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Mon, 04 Oct 2021 08:29:36 -0000
