## postgresql-10-pgdg-pgroonga 2.3.5

=== debian/changelog ===
postgresql-10-pgdg-pgroonga (2.3.5-1) unstable; urgency=low

  * New upstream release.

 -- Sutou Kouhei <kou@clear-code.com>  Wed, 09 Mar 2022 01:10:57 -0000
