## postgresql-10-pgdg-pgroonga 2.3.6

=== debian/changelog ===
postgresql-10-pgdg-pgroonga (2.3.6-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Thu, 17 Mar 2022 04:57:32 -0000
