## postgresql-10-pgdg-pgroonga 2.3.7

=== debian/changelog ===
postgresql-10-pgdg-pgroonga (2.3.7-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Thu, 09 Jun 2022 08:54:45 -0000
