## postgresql-10-pgdg-pgroonga 2.3.8

=== debian/changelog ===
postgresql-10-pgdg-pgroonga (2.3.8-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Mon, 08 Aug 2022 04:43:43 -0000
