## postgresql-10-pgdg-pgroonga 2.4.0

=== debian/changelog ===
postgresql-10-pgdg-pgroonga (2.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Fri, 07 Oct 2022 07:00:01 -0000
